<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  {{ with .OutputFormats.Get "RSS" }}
    <link href="{{ .RelPermalink }}" rel="alternate" type="application/rss+xml" title="{{ $.Site.Title }}" />
    <link href="{{ .RelPermalink }}" rel="feed" type="application/rss+xml" title="{{ $.Site.Title }}" />
  {{ end }}
  <title>{{ block "title" . }}
      {{ if eq .Title .Site.Title }}
          {{ .Title }}
      {{ else }}
          {{- .Title }} - {{ .Site.Title -}}
      {{ end }}
  {{ end }}</title>
  {{- if .Description }}
    <meta name="description" content="{{ .Description }}" />
    <meta property="og:description" content="{{ .Description }}" />
  {{ end -}}
  {{- if .Keywords }}
    <meta name="keywords" content="{{ delimit .Keywords "," }}" />
  {{ end -}}
  {{- if .Params.Author }}
    <meta name="author" content="{{ .Params.Author}}" />
  {{ end -}}
  {{- hugo.Generator -}}

  <meta property="og:title" content="{{- .Title -}}"/>
  <meta property="og:type" content="website"/>
  <meta property="og:url" content="{{- .Permalink -}}"/>
  <meta property="og:site_name" content="{{- .Site.Title -}}"/>
  <meta property="og:description" content="{{- .Summary -}}" />
  {{- if .Params.cover }}
    <meta property="og:image" content="{{- .Site.BaseURL  -}}{{- .Site.Params.CoverPrefix -}}{{- .Params.cover -}}"/>
  {{ end -}}

  {{- $styles := resources.Get "css/styles.css" | postCSS (dict "config" "./assets/css/postcss.config.js") -}}
  {{- if .Site.IsServer }}
    <link rel="stylesheet" href="{{ $styles.RelPermalink }}">
  {{ else }}
    {{- $styles := $styles| minify | fingerprint | resources.PostProcess -}}
    <link rel="stylesheet" href="{{ $styles.Permalink }}" integrity="{{ $styles.Data.Integrity }}">
  {{ end -}}
  {{- if .Site.Params.googleAnalytics -}}
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id={{- .Site.Params.googleAnalytics -}}"></script>
    <script>
     window.dataLayer = window.dataLayer || [];
     function gtag(){window.dataLayer.push(arguments);}
     gtag('js', new Date());

     gtag('config', '{{- .Site.Params.googleAnalytics -}}');
    </script>
  {{- end  -}}
  {{- if .Site.Params.matomoCloud -}}
      <!-- Matomo Cloud -->
      <script>
       var _paq = window._paq = window._paq || [];
       /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
       _paq.push(['trackPageView']);
       _paq.push(['enableLinkTracking']);
       (function() {
           var u="https://{{- .Site.Params.matomoCloud.subdomain -}}.matomo.cloud/";
           _paq.push(['setTrackerUrl', u+'matomo.php']);
           _paq.push(['setSiteId', '{{- .Site.Params.matomoCloud.id -}}']);
           var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
           g.async=true; g.src='//cdn.matomo.cloud/{{- .Site.Params.matomoCloud.subdomain -}}.matomo.cloud/matomo.js'; s.parentNode.insertBefore(g,s);
       })();
      </script>
  {{- end -}}
  {{-  with.Site.Params.matomoSelfHosted -}}
      <!-- Matomo -->
      <script>
       var _paq = window._paq = window._paq || [];
       /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
       {{- with .cookieDomain -}}
       _paq.push(["setCookieDomain", "{{- . -}}"]);
       {{- end -}}
       {{- with .domainPrefix -}}
       _paq.push(["setDocumentTitle", document.domain + "/" + document.title]);
       {{- end -}}
       _paq.push(['trackPageView']);
       _paq.push(['enableLinkTracking']);
       (function() {
           var u="{{- .url -}}/";
           _paq.push(['setTrackerUrl', u+'matomo.php']);
           _paq.push(['setSiteId', '{{- .id -}}']);
           var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
           g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
       })();
      </script>
      <noscript><p><img src="https://{{- .url -}}/matomo.php?idsite={{- .id -}}&amp;rec=1" style="border:0;" alt="" /></p></noscript>
      <!-- End Matomo Code -->
  {{- end -}}
  {{- if .Site.Params.favicon  -}}
      {{- $favicon := resources.Get .Site.Params.favicon -}}
      <link rel="icon" href="{{- $favicon.RelPermalink  -}}" />
  {{- end -}}
</head>
